/* 
 * File:   main_ADC.c
 * Author: chengo_cc
 *
 * Created on 24 May 2016, 8:22 PM
 */

#include <stdio.h>
#include <stdlib.h>
#include <pic.h>
//---------------------------Header files---------------------------------------
#include "delay.h"
#include "adc.h"
#include "lcd8.h"
//------------------------------------------------------------------------------
char stringTemp[6];
float getTemp(int temp);
//------------------------------------------------------------------------------
int main(int argc, char** argv)
{
  LCD_init();
  ADC_init();

  while(1)
  {
    sprintf(stringTemp, "Channel 0: %3.2f C", getTemp(ADC_read(0))); // sprintf() is a standard (stdio.h) C-function.
    LCD_string(0,0,stringTemp);

    sprintf(stringTemp, "Channel 1: %3.2f C", getTemp(ADC_read(1))) ;
    LCD_string(1,0,stringTemp);
  }

  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------
float getTemp(int temp)
{
  float temperature = temp * (5.0/1024);  // (5.0/1024) = Resolution
  return (temperature * 100);
}
//------------------------------------------------------------------------------